Routes

Get status and availability

GEThttps://api.insurely.com/companies/availability

Obtain a full list of companies available for your client, together with their current status, availability (functional or not) and available login methods.

Request

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2025-01-01.

Responses

Successful request.

Body

additionalLoginInputsArray<AdditionalLoginInput>

Additional input for login step.

availableCoverageScopesArray<InsuranceTypeAndSubtype>

Set of available coverage types and subtypes for this company

companystring

Name of the company.

companyAndLineOfBusinessesArray<string>

Available company and line of business for insurance pdf upload.

Possible Enum values are EE_SWEDBANK.
companyDisplayNamestring

Company display name, for displaying to users.

companyGroupstring

The name of the group that a company or integration belongs to

companyLinksobject

Company-specific links such as contact forms or other external resources

consentRequirementsArray<ConsentRequirement>

The set of consents required for initiating collections from this company.

functionalboolean

Whether or not it is possible to collect data from the company currently.

Configuration options for different login methods.

loginMethodsArray<string>

Available login methods for the company.

Possible Enum values are ESTONIAN_MOBILE_ID, ESTONIAN_SMART_ID, ESTONIAN_MOBILE_ID_USERNAME or ESTONIAN_SMART_ID_USERNAME.
nonFunctionalLoginMethodsArray<string>

Disabled login methods for the company.

Possible Enum values are ESTONIAN_MOBILE_ID, ESTONIAN_SMART_ID, ESTONIAN_MOBILE_ID_USERNAME or ESTONIAN_SMART_ID_USERNAME.
notificationsobject

Company-specific notifications configuration

reasonstring

Reason for data collection being non-functional at present.

Possible Enum values are THIRD_PARTY_ERROR, THIRD_PARTY_UPDATE, INSURELY_ERROR, INSURELY_UPDATE or RECONSTRUCTION.
resetCredentialsobject

Reset links to reset credentials for the company.

statusstring

Status indicating the quality of the data collection for this company. A company has status BETA until we can guarantee the data quality and stability of it, after which its status is set to OK. Once taken out of BETA it cannot be set to BETA again.

Possible Enum values are OK, BETA or NOT_IMPLEMENTED.
supportsPreheatingboolean

Whether the company supports starting a collection without user input. Requires input to be passed in at a later stage through the supplemental-info endpoint.

cURL
curl https://api.insurely.com/companies/availability \  -H "authorization-token: <authorization-token>"
RESPONSE 200
[  {    "additionalLoginInputs": [],    "availableCoverageScopes": [],    "company": "ee-bta",    "companyAndLineOfBusinesses": [],    "companyDisplayName": "BTA",    "consentRequirements": [      {        "method": "NONE",        "type": "TRADE_UNION_MEMBERSHIP"      }    ],    "functional": true,    "loginMethods": [      "ESTONIAN_MOBILE_ID",      "ESTONIAN_SMART_ID"    ],    "nonFunctionalLoginMethods": [],    "status": "OK",    "supportsPreheating": false  }]